VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Typedefs | Enumerations
Steinberg::Vst::mda Namespace Reference

## Classes
class | AmbienceController
class | AmbienceProcessor
class | BandistoController
class | BandistoProcessor
class | BaseController
class | Processor
class | SampleAccurateBaseProcessor
struct | SynthData
class | BeatBoxController
class | BeatBoxProcessor
class | ComboController
class | ComboProcessor
class | DeEsserController
class | DeEsserProcessor
class | DegradeController
class | DegradeProcessor
class | DelayController
class | DelayProcessor
class | DetuneController
class | DetuneProcessor
class | DitherController
class | DitherProcessor
class | DubDelayController
class | DubDelayProcessor
class | DX10Controller
class | DX10Processor
class | DynamicsController
class | DynamicsProcessor
class | EPianoController
class | EPianoProcessor
class | ImageController
class | ImageProcessor
class | JX10Controller
class | JX10Processor
class | LeslieController
class | LeslieProcessor
class | LimiterController
class | LimiterProcessor
class | LoudnessController
class | LoudnessProcessor
class | MultiBandController
class | MultiBandProcessor
class | OverdriveController
class | OverdriveProcessor
class | BaseParameter
class | IndexedParameter
class | ScaledParameter
class | PianoController
class | PianoProcessor
class | RePsychoController
class | RePsychoProcessor
class | RezFilterController
class | RezFilterProcessor
class | RingModController
class | RingModProcessor
class | RoundPanController
class | RoundPanProcessor
class | ShepardController
class | ShepardProcessor
class | SpecMeterController
class | SpecMeterProcessor
class | SplitterController
class | SplitterProcessor
class | StereoController
class | StereoProcessor
class | SubSynthController
class | SubSynthProcessor
class | TalkBoxController
class | TalkBoxProcessor
class | TestToneController
exception | ProxyParameter
class | TestToneProcessor
class | ThruZeroController
class | ThruZeroProcessor
class | TrackerController
class | TrackerProcessor

## Typedefs
using | BaseProcessor = SampleAccurateBaseProcessor

## Enumerations
enum | TestToneParam { Mode = 0, Level, Channel, F1, F2, Sweep, Thru, ZerodB }

## Typedef Documentation

using BaseProcessor = SampleAccurateBaseProcessor

## Enumeration Type Documentation

enum TestToneParam

Enumerator
Mode |
Level |
Channel |
F1 |
F2 |
Sweep |
Thru |
ZerodB |

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.